Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
nested_struct1.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | cls_struct_16byte1
struct | cls_struct_16byte2
struct | cls_struct_combined

## Typedefs
typedef struct cls_struct_16byte1 | cls_struct_16byte1
typedef struct cls_struct_16byte2 | cls_struct_16byte2
typedef struct cls_struct_combined | cls_struct_combined

## Functions
cls_struct_combined | cls_struct_combined_fn (struct cls_struct_16byte1 b0, struct cls_struct_16byte2 b1, struct cls_struct_combined b2, struct cls_struct_16byte1 b3)
int | main (void)

## Typedef Documentation

## ◆ cls_struct_16byte1

typedef struct cls_struct_16byte1 cls_struct_16byte1

## ◆ cls_struct_16byte2

typedef struct cls_struct_16byte2 cls_struct_16byte2

## ◆ cls_struct_combined

typedef struct cls_struct_combined cls_struct_combined

## Function Documentation

## ◆ cls_struct_combined_fn()

cls_struct_combined cls_struct_combined_fn | ( | struct cls_struct_16byte1 | b0,
|  | struct cls_struct_16byte2 | b1,
|  | struct cls_struct_combined | b2,
|  | struct cls_struct_16byte1 | b3
| ) |  |

Definition at line 28 of file nested_struct1.c.

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 72 of file nested_struct1.c.

References cls_struct_16byte1::a, cls_struct_16byte1::b, cls_struct_16byte1::c, CHECK, cls_struct_combined_fn(), cls_struct_combined::d, cls_struct_16byte2::dd, cls_struct_combined::e, cls_struct_16byte2::ff, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), cls_struct_16byte2::ii, and NULL.